Package org.jboss.logmanager

# Class LoggingUncaughtExceptionHandler

java.lang.Object
org.jboss.logmanager.LoggingUncaughtExceptionHandler

All Implemented Interfaces:
  `Thread.UncaughtExceptionHandler`

public final class LoggingUncaughtExceptionHandler extends Object implements Thread.UncaughtExceptionHandler
Logging uncaught exception handler.

## Constructor Summary

Constructors
Constructor
Description
`LoggingUncaughtExceptionHandler(Logger log)`
Create a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`uncaughtException(Thread t, Throwable e)`
Method invoked when the given thread terminates due to the given uncaught exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggingUncaughtExceptionHandler

public LoggingUncaughtExceptionHandler(Logger log)
Create a new instance.

Parameters:
  `log` - the logger to log the uncaught exception to

## Method Details

### uncaughtException

public void uncaughtException(Thread t, Throwable e)
Method invoked when the given thread terminates due to the given uncaught exception.

Any exception thrown by this method will be ignored by the Java Virtual Machine.

Specified by:
  `uncaughtException` in interface `Thread.UncaughtExceptionHandler`
Parameters:
  `t` - the thread
  `e` - the exception